;+
; :Description:
;    This function is made to read a list of file to read for MIMOSA
;    plotting program. The file should have the format shown below:
;    
;    35        
;    file01
;    file02
;    .
;    .
;    file35
;    
; :Categories:
;    MIMOSA tools
;
; :Params:
;    inFile : In, Required, Type=string
;            The Path+Name of the file to read
;            
;    nameFile : Out, Required, Type=strarr
;              All the name of the file read in the list file
;
; :Keywords:
;    none
;          
;  :Examples:
;    inFile = '/home/madrouin/MIMOSA/RUN00/mimosa_list_850K.txt'
;    fileName = MIMOSA_READ_LIST( inFile)
;    
;  :File_comments:
;    none
;    
;  :History:
;    200904 MAD/LPC2E creation
;    201109 MAD/LPC2E add comments
;
; :Author: madrouin
;-
FUNCTION MIMOSA_READ_LIST, inFile

  nfile = 0L
  
  ; Opening the list file
  OPENR, lun, inFile, /GET_LUN
  
  ; Read number of filename in the file
  READF, lun, nFile
  
  ; Read filenames
  NameFile = STRARR(nFile)
  READF, lun, NameFile
  
  ; Close file
  CLOSE, lun
  FREE_LUN, lun
  
  RETURN, NameFile
  
END